/*

    Bist: a chemical drawing tool
    Copyright (C) 2008 Valerio Benfante

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#include <iostream>
#include <string>
#include <interfacce.hpp>

genitore::genitore()
  :_il_genitore(0)
{

}


genitore::genitore(const genitore& altro)
  :_il_genitore(altro._il_genitore)
{

}

genitore::genitore(const genitore* altro)
  :_il_genitore(altro->_il_genitore)
{

}

genitore& genitore::operator=(const genitore& altro){
  _il_genitore=altro._il_genitore;
  return *this;
}

void genitore::aggiungi_genitore(genitore* gtr){
  _il_genitore=gtr;

//   std::cout << "GENITOREAGG: " << typeid(*_il_genitore).name() << " " 
// 	    << " " << _il_genitore << " " << std::endl;

}

genitore* genitore::ritorna_genitore(){
  return _il_genitore;
}



damaged_obj::damaged_obj()
  :_damaged(false)
{

}
  
bool damaged_obj::damaged(){
  return _damaged;
}

void damaged_obj::damaged(bool is_damaged=true){
  _damaged=is_damaged;
}
